# class ISDNIUA | SIGTRAN ISDN Q.921 User Adaptation Layer. More...
Full name | `TelEngine::ISDNIUA`
Definition | `#include <libs/ysig/yatesig.h>`
Inherits | TelEngine::ISDNLayer2 [public ], TelEngine::SIGAdaptUser [public ]
List of all Methods
Annotated List
Files
Globals
Hierarchy
Index

#### Public Methods

- ISDNIUA (const NamedList& params, const char* name = 0, u_int8_t tei = 0)
- virtual ~ISDNIUA ()
- virtual bool initialize (const NamedList* config)
- virtual bool multipleFrame (u_int8_t tei, bool establish, bool force)
- virtual bool sendData (const DataBlock& data, u_int8_t tei, bool ack)
- virtual void cleanup ()
- virtual void activeChange (bool active)
- inline int32_t iid () const

#### Protected Methods

- ISDNIUAClient* client () const
- virtual bool processMGMT (unsigned char msgType, const DataBlock& msg, int streamId)
- virtual bool processQPTM (unsigned char msgType, const DataBlock& msg, int streamId)

#### Protected Members

- int32_t m_iid

## Detailed Description

RFC4233 ISDN Layer 2 implementation over SCTP/IP IUA is intended to be used as a Provider-User where Q.921 runs on a Signalling Gateway and the user (Q.931) runs on an Application Server.

ISDNIUA (const NamedList& params, const char* name = 0, u_int8_t tei = 0) | ### ISDNIUA

Constructor Initialize this object and the layer 2

Parameters:

params | Object and Layer 2 parameters
name | Optional name for Layer 2
tei | Value of TEI for this component

~ISDNIUA () | ### ~ISDNIUA

[virtual]

Destructor

bool initialize (const NamedList* config) | ### initialize

[virtual]

Configure and initialize IUA and its transport

Parameters:

config | Optional configuration parameters override

Returns: True if IUA and the transport were initialized properly

Reimplemented from SignallingComponent.

bool multipleFrame (u_int8_t tei, bool establish, bool force) | ### multipleFrame

[virtual]

Implements Q.921 DL-ESTABLISH and DL-RELEASE request primitives

Parameters:

tei | This layer's TEI
establish | True to establish. False to release
force | True to establish even if we already are in this mode. This parameter is ignored if establish is false

Returns: True if the request was accepted

Reimplemented from ISDNLayer2.

bool sendData (const DataBlock& data, u_int8_t tei, bool ack) | ### sendData

[virtual]

Implements Q.921 DL-DATA and DL-UNIT DATA request primitives

Parameters:

data | Data to send
tei | The TEI to send with the data frane
ack | True to send an acknowledged frame, false to send an unacknowledged one

Returns: False if the request was not accepted or send operation failed

Reimplemented from ISDNLayer2.

void cleanup () | ### cleanup

[virtual]

Emergency release.

Reimplemented from ISDNLayer2.

void activeChange (bool active) | ### activeChange

[virtual]

Traffic activity state change notification

Parameters:

active | True if the ASP is active and traffic is allowed

Reimplemented from SIGAdaptUser.

inline int32_t iid () | ### iid

[const]

Retrieve the numeric Interface Identifier (if any)

Returns: IID value, -1 if not set

ISDNIUAClient* client () | ### client

[protected const]

bool processMGMT (unsigned char msgType, const DataBlock& msg, int streamId) | ### processMGMT

[protected virtual]

bool processQPTM (unsigned char msgType, const DataBlock& msg, int streamId) | ### processQPTM

[protected virtual]

int32_t m_iid | ### m_iid

[protected]

Generated by: paulc on bussard on Mon Feb 10 13:15:47 2014, using kdoc 2.0a54.